﻿local PitBull4 = _G.PitBull4
local poh = _G.POH



local PitBull4_POHBar = PitBull4:NewModule("POHBar", "AceEvent-3.0", "AceTimer-3.0")

PitBull4_POHBar:SetModuleType("bar")
PitBull4_POHBar:SetName("Prayer of Healing - Bar")
PitBull4_POHBar:SetDescription("Show a bar estimating how much a Prayer of Healing would heal based on the groups Position on the Map")
PitBull4_POHBar:SetDefaults({
	position = 3,
	color_by_class = false,
	hostility_color = false,
	hostility_color_npcs = false,
    enabled = false
}, {}
)

function PitBull4_POHBar:OnEnable()
    self:ScheduleRepeatingTimer("POHUpdate", 0.5)
end

function PitBull4_POHBar:OnDisable()
	self:CancelAllTimers()
end

function PitBull4_POHBar:GetValue(frame)
    return poh:GetValue(frame.unit)
end

function PitBull4_POHBar:POHUpdate()
    poh:CalculateValues()
    self:UpdateNonWacky()
end

function PitBull4_POHBar:GetColor(frame, value)
    local r = poh:GetInRange(frame.unit)
    if r == 5 then
        return 0, 1, 0
    elseif r == 4 then
        return 0, 0, 1
    elseif r == 3 then
        return 1, 1, 0
    elseif r == 2 then
        return 1, 0, 0
    elseif r == 1 then
        return 0.5, 0, 0
    end
end

